]> git.draconx.ca Git - gob-dx.git/blob - Makefile.in
c3849896c88c6224581d4b43755259fb2041587b
[gob-dx.git] / Makefile.in
1 # Makefile.in generated by automake 1.13.4 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
19 am__make_running_with_option = \
20   case $${target_option-} in \
21       ?) ;; \
22       *) echo "am__make_running_with_option: internal error: invalid" \
23               "target option '$${target_option-}' specified" >&2; \
24          exit 1;; \
25   esac; \
26   has_opt=no; \
27   sane_makeflags=$$MAKEFLAGS; \
28   if $(am__is_gnu_make); then \
29     sane_makeflags=$$MFLAGS; \
30   else \
31     case $$MAKEFLAGS in \
32       *\\[\ \   ]*) \
33         bs=\\; \
34         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
35           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
36     esac; \
37   fi; \
38   skip_next=no; \
39   strip_trailopt () \
40   { \
41     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
42   }; \
43   for flg in $$sane_makeflags; do \
44     test $$skip_next = yes && { skip_next=no; continue; }; \
45     case $$flg in \
46       *=*|--*) continue;; \
47         -*I) strip_trailopt 'I'; skip_next=yes;; \
48       -*I?*) strip_trailopt 'I';; \
49         -*O) strip_trailopt 'O'; skip_next=yes;; \
50       -*O?*) strip_trailopt 'O';; \
51         -*l) strip_trailopt 'l'; skip_next=yes;; \
52       -*l?*) strip_trailopt 'l';; \
53       -[dEDm]) skip_next=yes;; \
54       -[JT]) skip_next=yes;; \
55     esac; \
56     case $$flg in \
57       *$$target_option*) has_opt=yes; break;; \
58     esac; \
59   done; \
60   test $$has_opt = yes
61 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
62 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
63 pkgdatadir = $(datadir)/@PACKAGE@
64 pkgincludedir = $(includedir)/@PACKAGE@
65 pkglibdir = $(libdir)/@PACKAGE@
66 pkglibexecdir = $(libexecdir)/@PACKAGE@
67 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
68 install_sh_DATA = $(install_sh) -c -m 644
69 install_sh_PROGRAM = $(install_sh) -c
70 install_sh_SCRIPT = $(install_sh) -c
71 INSTALL_HEADER = $(INSTALL_DATA)
72 transform = $(program_transform_name)
73 NORMAL_INSTALL = :
74 PRE_INSTALL = :
75 POST_INSTALL = :
76 NORMAL_UNINSTALL = :
77 PRE_UNINSTALL = :
78 POST_UNINSTALL = :
79 subdir = .
80 DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
81         $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
82         $(top_srcdir)/configure $(am__configure_deps) \
83         $(srcdir)/config.h.in $(srcdir)/gob2.spec.in COPYING TODO \
84         depcomp install-sh missing ylwrap
85 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
86 am__aclocal_m4_deps = $(top_srcdir)/configure.in
87 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
88         $(ACLOCAL_M4)
89 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
90  configure.lineno config.status.lineno
91 mkinstalldirs = $(install_sh) -d
92 CONFIG_HEADER = config.h
93 CONFIG_CLEAN_FILES = gob2.spec
94 CONFIG_CLEAN_VPATH_FILES =
95 AM_V_P = $(am__v_P_@AM_V@)
96 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
97 am__v_P_0 = false
98 am__v_P_1 = :
99 AM_V_GEN = $(am__v_GEN_@AM_V@)
100 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
101 am__v_GEN_0 = @echo "  GEN     " $@;
102 am__v_GEN_1 = 
103 AM_V_at = $(am__v_at_@AM_V@)
104 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
105 am__v_at_0 = @
106 am__v_at_1 = 
107 SOURCES =
108 DIST_SOURCES =
109 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
110         ctags-recursive dvi-recursive html-recursive info-recursive \
111         install-data-recursive install-dvi-recursive \
112         install-exec-recursive install-html-recursive \
113         install-info-recursive install-pdf-recursive \
114         install-ps-recursive install-recursive installcheck-recursive \
115         installdirs-recursive pdf-recursive ps-recursive \
116         tags-recursive uninstall-recursive
117 am__can_run_installinfo = \
118   case $$AM_UPDATE_INFO_DIR in \
119     n|no|NO) false;; \
120     *) (install-info --version) >/dev/null 2>&1;; \
121   esac
122 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
123 am__vpath_adj = case $$p in \
124     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
125     *) f=$$p;; \
126   esac;
127 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
128 am__install_max = 40
129 am__nobase_strip_setup = \
130   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
131 am__nobase_strip = \
132   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
133 am__nobase_list = $(am__nobase_strip_setup); \
134   for p in $$list; do echo "$$p $$p"; done | \
135   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
136   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
137     if (++n[$$2] == $(am__install_max)) \
138       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
139     END { for (dir in files) print dir, files[dir] }'
140 am__base_list = \
141   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
142   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
143 am__uninstall_files_from_dir = { \
144   test -z "$$files" \
145     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
146     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
147          $(am__cd) "$$dir" && rm -f $$files; }; \
148   }
149 am__installdirs = "$(DESTDIR)$(m4dir)"
150 DATA = $(m4_DATA)
151 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
152   distclean-recursive maintainer-clean-recursive
153 am__recursive_targets = \
154   $(RECURSIVE_TARGETS) \
155   $(RECURSIVE_CLEAN_TARGETS) \
156   $(am__extra_recursive_targets)
157 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
158         cscope distdir dist dist-all distcheck
159 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
160         $(LISP)config.h.in
161 # Read a list of newline-separated strings from the standard input,
162 # and print each of them once, without duplicates.  Input order is
163 # *not* preserved.
164 am__uniquify_input = $(AWK) '\
165   BEGIN { nonempty = 0; } \
166   { items[$$0] = 1; nonempty = 1; } \
167   END { if (nonempty) { for (i in items) print i; }; } \
168 '
169 # Make sure the list of sources is unique.  This is necessary because,
170 # e.g., the same source file might be shared among _SOURCES variables
171 # for different programs/libraries.
172 am__define_uniq_tagged_files = \
173   list='$(am__tagged_files)'; \
174   unique=`for i in $$list; do \
175     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
176   done | $(am__uniquify_input)`
177 ETAGS = etags
178 CTAGS = ctags
179 CSCOPE = cscope
180 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
181 distdir = $(PACKAGE)-$(VERSION)
182 top_distdir = $(distdir)
183 am__remove_distdir = \
184   if test -d "$(distdir)"; then \
185     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
186       && rm -rf "$(distdir)" \
187       || { sleep 5 && rm -rf "$(distdir)"; }; \
188   else :; fi
189 am__post_remove_distdir = $(am__remove_distdir)
190 am__relativize = \
191   dir0=`pwd`; \
192   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
193   sed_rest='s,^[^/]*/*,,'; \
194   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
195   sed_butlast='s,/*[^/]*$$,,'; \
196   while test -n "$$dir1"; do \
197     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
198     if test "$$first" != "."; then \
199       if test "$$first" = ".."; then \
200         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
201         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
202       else \
203         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
204         if test "$$first2" = "$$first"; then \
205           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
206         else \
207           dir2="../$$dir2"; \
208         fi; \
209         dir0="$$dir0"/"$$first"; \
210       fi; \
211     fi; \
212     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
213   done; \
214   reldir="$$dir2"
215 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.xz
216 GZIP_ENV = --best
217 DIST_TARGETS = dist-xz dist-gzip
218 distuninstallcheck_listfiles = find . -type f -print
219 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
220   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
221 distcleancheck_listfiles = find . -type f -print
222 ACLOCAL = @ACLOCAL@
223 AMTAR = @AMTAR@
224 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
225 AUTOCONF = @AUTOCONF@
226 AUTOHEADER = @AUTOHEADER@
227 AUTOMAKE = @AUTOMAKE@
228 AWK = @AWK@
229 CC = @CC@
230 CCDEPMODE = @CCDEPMODE@
231 CFLAGS = @CFLAGS@
232 CPP = @CPP@
233 CPPFLAGS = @CPPFLAGS@
234 CYGPATH_W = @CYGPATH_W@
235 DEFS = @DEFS@
236 DEPDIR = @DEPDIR@
237 ECHO_C = @ECHO_C@
238 ECHO_N = @ECHO_N@
239 ECHO_T = @ECHO_T@
240 EGREP = @EGREP@
241 EXEEXT = @EXEEXT@
242 GLIB_CFLAGS = @GLIB_CFLAGS@
243 GLIB_LIBS = @GLIB_LIBS@
244 GREP = @GREP@
245 INSTALL = @INSTALL@
246 INSTALL_DATA = @INSTALL_DATA@
247 INSTALL_PROGRAM = @INSTALL_PROGRAM@
248 INSTALL_SCRIPT = @INSTALL_SCRIPT@
249 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
250 LDFLAGS = @LDFLAGS@
251 LEX = @LEX@
252 LEXLIB = @LEXLIB@
253 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
254 LIBOBJS = @LIBOBJS@
255 LIBS = @LIBS@
256 LTLIBOBJS = @LTLIBOBJS@
257 MAINT = @MAINT@
258 MAKEINFO = @MAKEINFO@
259 MKDIR_P = @MKDIR_P@
260 MV = @MV@
261 OBJEXT = @OBJEXT@
262 PACKAGE = @PACKAGE@
263 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
264 PACKAGE_NAME = @PACKAGE_NAME@
265 PACKAGE_STRING = @PACKAGE_STRING@
266 PACKAGE_TARNAME = @PACKAGE_TARNAME@
267 PACKAGE_URL = @PACKAGE_URL@
268 PACKAGE_VERSION = @PACKAGE_VERSION@
269 PATH_SEPARATOR = @PATH_SEPARATOR@
270 PKG_CONFIG = @PKG_CONFIG@
271 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
272 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
273 RM = @RM@
274 SET_MAKE = @SET_MAKE@
275 SHELL = @SHELL@
276 STRIP = @STRIP@
277 SUBDIRS = @SUBDIRS@
278 TAR = @TAR@
279 VERSION = @VERSION@
280 YACC = @YACC@
281 YFLAGS = @YFLAGS@
282 abs_builddir = @abs_builddir@
283 abs_srcdir = @abs_srcdir@
284 abs_top_builddir = @abs_top_builddir@
285 abs_top_srcdir = @abs_top_srcdir@
286 ac_ct_CC = @ac_ct_CC@
287 am__include = @am__include@
288 am__leading_dot = @am__leading_dot@
289 am__quote = @am__quote@
290 am__tar = @am__tar@
291 am__untar = @am__untar@
292 bindir = @bindir@
293 build_alias = @build_alias@
294 builddir = @builddir@
295 datadir = @datadir@
296 datarootdir = @datarootdir@
297 docdir = @docdir@
298 dvidir = @dvidir@
299 exec_prefix = @exec_prefix@
300 host_alias = @host_alias@
301 htmldir = @htmldir@
302 includedir = @includedir@
303 infodir = @infodir@
304 install_sh = @install_sh@
305 libdir = @libdir@
306 libexecdir = @libexecdir@
307 localedir = @localedir@
308 localstatedir = @localstatedir@
309 mandir = @mandir@
310 mkdir_p = @mkdir_p@
311 oldincludedir = @oldincludedir@
312 pdfdir = @pdfdir@
313 prefix = @prefix@
314 program_transform_name = @program_transform_name@
315 psdir = @psdir@
316 sbindir = @sbindir@
317 sharedstatedir = @sharedstatedir@
318 srcdir = @srcdir@
319 sysconfdir = @sysconfdir@
320 target_alias = @target_alias@
321 top_build_prefix = @top_build_prefix@
322 top_builddir = @top_builddir@
323 top_srcdir = @top_srcdir@
324 DIST_SUBDIRS = src doc examples
325 m4dir = $(datadir)/aclocal
326 m4_DATA = gob2.m4
327 EXTRA_DIST = gob2.spec.in $(m4_DATA) COPYING.generated-code
328 all: config.h
329         $(MAKE) $(AM_MAKEFLAGS) all-recursive
330
331 .SUFFIXES:
332 am--refresh: Makefile
333         @:
334 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
335         @for dep in $?; do \
336           case '$(am__configure_deps)' in \
337             *$$dep*) \
338               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
339               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
340                 && exit 0; \
341               exit 1;; \
342           esac; \
343         done; \
344         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
345         $(am__cd) $(top_srcdir) && \
346           $(AUTOMAKE) --gnu Makefile
347 .PRECIOUS: Makefile
348 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
349         @case '$?' in \
350           *config.status*) \
351             echo ' $(SHELL) ./config.status'; \
352             $(SHELL) ./config.status;; \
353           *) \
354             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
355             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
356         esac;
357
358 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
359         $(SHELL) ./config.status --recheck
360
361 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
362         $(am__cd) $(srcdir) && $(AUTOCONF)
363 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
364         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
365 $(am__aclocal_m4_deps):
366
367 config.h: stamp-h1
368         @if test ! -f $@; then rm -f stamp-h1; else :; fi
369         @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
370
371 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
372         @rm -f stamp-h1
373         cd $(top_builddir) && $(SHELL) ./config.status config.h
374 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
375         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
376         rm -f stamp-h1
377         touch $@
378
379 distclean-hdr:
380         -rm -f config.h stamp-h1
381 gob2.spec: $(top_builddir)/config.status $(srcdir)/gob2.spec.in
382         cd $(top_builddir) && $(SHELL) ./config.status $@
383 install-m4DATA: $(m4_DATA)
384         @$(NORMAL_INSTALL)
385         @list='$(m4_DATA)'; test -n "$(m4dir)" || list=; \
386         if test -n "$$list"; then \
387           echo " $(MKDIR_P) '$(DESTDIR)$(m4dir)'"; \
388           $(MKDIR_P) "$(DESTDIR)$(m4dir)" || exit 1; \
389         fi; \
390         for p in $$list; do \
391           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
392           echo "$$d$$p"; \
393         done | $(am__base_list) | \
394         while read files; do \
395           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4dir)'"; \
396           $(INSTALL_DATA) $$files "$(DESTDIR)$(m4dir)" || exit $$?; \
397         done
398
399 uninstall-m4DATA:
400         @$(NORMAL_UNINSTALL)
401         @list='$(m4_DATA)'; test -n "$(m4dir)" || list=; \
402         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
403         dir='$(DESTDIR)$(m4dir)'; $(am__uninstall_files_from_dir)
404
405 # This directory's subdirectories are mostly independent; you can cd
406 # into them and run 'make' without going through this Makefile.
407 # To change the values of 'make' variables: instead of editing Makefiles,
408 # (1) if the variable is set in 'config.status', edit 'config.status'
409 #     (which will cause the Makefiles to be regenerated when you run 'make');
410 # (2) otherwise, pass the desired values on the 'make' command line.
411 $(am__recursive_targets):
412         @fail=; \
413         if $(am__make_keepgoing); then \
414           failcom='fail=yes'; \
415         else \
416           failcom='exit 1'; \
417         fi; \
418         dot_seen=no; \
419         target=`echo $@ | sed s/-recursive//`; \
420         case "$@" in \
421           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
422           *) list='$(SUBDIRS)' ;; \
423         esac; \
424         for subdir in $$list; do \
425           echo "Making $$target in $$subdir"; \
426           if test "$$subdir" = "."; then \
427             dot_seen=yes; \
428             local_target="$$target-am"; \
429           else \
430             local_target="$$target"; \
431           fi; \
432           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
433           || eval $$failcom; \
434         done; \
435         if test "$$dot_seen" = "no"; then \
436           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
437         fi; test -z "$$fail"
438
439 ID: $(am__tagged_files)
440         $(am__define_uniq_tagged_files); mkid -fID $$unique
441 tags: tags-recursive
442 TAGS: tags
443
444 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
445         set x; \
446         here=`pwd`; \
447         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
448           include_option=--etags-include; \
449           empty_fix=.; \
450         else \
451           include_option=--include; \
452           empty_fix=; \
453         fi; \
454         list='$(SUBDIRS)'; for subdir in $$list; do \
455           if test "$$subdir" = .; then :; else \
456             test ! -f $$subdir/TAGS || \
457               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
458           fi; \
459         done; \
460         $(am__define_uniq_tagged_files); \
461         shift; \
462         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
463           test -n "$$unique" || unique=$$empty_fix; \
464           if test $$# -gt 0; then \
465             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
466               "$$@" $$unique; \
467           else \
468             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
469               $$unique; \
470           fi; \
471         fi
472 ctags: ctags-recursive
473
474 CTAGS: ctags
475 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
476         $(am__define_uniq_tagged_files); \
477         test -z "$(CTAGS_ARGS)$$unique" \
478           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
479              $$unique
480
481 GTAGS:
482         here=`$(am__cd) $(top_builddir) && pwd` \
483           && $(am__cd) $(top_srcdir) \
484           && gtags -i $(GTAGS_ARGS) "$$here"
485 cscope: cscope.files
486         test ! -s cscope.files \
487           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
488 clean-cscope:
489         -rm -f cscope.files
490 cscope.files: clean-cscope cscopelist
491 cscopelist: cscopelist-recursive
492
493 cscopelist-am: $(am__tagged_files)
494         list='$(am__tagged_files)'; \
495         case "$(srcdir)" in \
496           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
497           *) sdir=$(subdir)/$(srcdir) ;; \
498         esac; \
499         for i in $$list; do \
500           if test -f "$$i"; then \
501             echo "$(subdir)/$$i"; \
502           else \
503             echo "$$sdir/$$i"; \
504           fi; \
505         done >> $(top_builddir)/cscope.files
506
507 distclean-tags:
508         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
509         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
510
511 distdir: $(DISTFILES)
512         $(am__remove_distdir)
513         test -d "$(distdir)" || mkdir "$(distdir)"
514         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
515         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
516         list='$(DISTFILES)'; \
517           dist_files=`for file in $$list; do echo $$file; done | \
518           sed -e "s|^$$srcdirstrip/||;t" \
519               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
520         case $$dist_files in \
521           */*) $(MKDIR_P) `echo "$$dist_files" | \
522                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
523                            sort -u` ;; \
524         esac; \
525         for file in $$dist_files; do \
526           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
527           if test -d $$d/$$file; then \
528             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
529             if test -d "$(distdir)/$$file"; then \
530               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
531             fi; \
532             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
533               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
534               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
535             fi; \
536             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
537           else \
538             test -f "$(distdir)/$$file" \
539             || cp -p $$d/$$file "$(distdir)/$$file" \
540             || exit 1; \
541           fi; \
542         done
543         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
544           if test "$$subdir" = .; then :; else \
545             $(am__make_dryrun) \
546               || test -d "$(distdir)/$$subdir" \
547               || $(MKDIR_P) "$(distdir)/$$subdir" \
548               || exit 1; \
549             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
550             $(am__relativize); \
551             new_distdir=$$reldir; \
552             dir1=$$subdir; dir2="$(top_distdir)"; \
553             $(am__relativize); \
554             new_top_distdir=$$reldir; \
555             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
556             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
557             ($(am__cd) $$subdir && \
558               $(MAKE) $(AM_MAKEFLAGS) \
559                 top_distdir="$$new_top_distdir" \
560                 distdir="$$new_distdir" \
561                 am__remove_distdir=: \
562                 am__skip_length_check=: \
563                 am__skip_mode_fix=: \
564                 distdir) \
565               || exit 1; \
566           fi; \
567         done
568         $(MAKE) $(AM_MAKEFLAGS) \
569           top_distdir="$(top_distdir)" distdir="$(distdir)" \
570           dist-hook
571         -test -n "$(am__skip_mode_fix)" \
572         || find "$(distdir)" -type d ! -perm -755 \
573                 -exec chmod u+rwx,go+rx {} \; -o \
574           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
575           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
576           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
577         || chmod -R a+r "$(distdir)"
578 dist-gzip: distdir
579         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
580         $(am__post_remove_distdir)
581
582 dist-bzip2: distdir
583         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
584         $(am__post_remove_distdir)
585
586 dist-lzip: distdir
587         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
588         $(am__post_remove_distdir)
589 dist-xz: distdir
590         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
591         $(am__post_remove_distdir)
592
593 dist-tarZ: distdir
594         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
595         $(am__post_remove_distdir)
596
597 dist-shar: distdir
598         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
599         $(am__post_remove_distdir)
600
601 dist-zip: distdir
602         -rm -f $(distdir).zip
603         zip -rq $(distdir).zip $(distdir)
604         $(am__post_remove_distdir)
605
606 dist dist-all:
607         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
608         $(am__post_remove_distdir)
609
610 # This target untars the dist file and tries a VPATH configuration.  Then
611 # it guarantees that the distribution is self-contained by making another
612 # tarfile.
613 distcheck: dist
614         case '$(DIST_ARCHIVES)' in \
615         *.tar.gz*) \
616           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
617         *.tar.bz2*) \
618           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
619         *.tar.lz*) \
620           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
621         *.tar.xz*) \
622           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
623         *.tar.Z*) \
624           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
625         *.shar.gz*) \
626           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
627         *.zip*) \
628           unzip $(distdir).zip ;;\
629         esac
630         chmod -R a-w $(distdir)
631         chmod u+w $(distdir)
632         mkdir $(distdir)/_build $(distdir)/_inst
633         chmod a-w $(distdir)
634         test -d $(distdir)/_build || exit 0; \
635         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
636           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
637           && am__cwd=`pwd` \
638           && $(am__cd) $(distdir)/_build \
639           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
640             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
641             $(DISTCHECK_CONFIGURE_FLAGS) \
642           && $(MAKE) $(AM_MAKEFLAGS) \
643           && $(MAKE) $(AM_MAKEFLAGS) dvi \
644           && $(MAKE) $(AM_MAKEFLAGS) check \
645           && $(MAKE) $(AM_MAKEFLAGS) install \
646           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
647           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
648           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
649                 distuninstallcheck \
650           && chmod -R a-w "$$dc_install_base" \
651           && ({ \
652                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
653                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
654                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
655                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
656                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
657               } || { rm -rf "$$dc_destdir"; exit 1; }) \
658           && rm -rf "$$dc_destdir" \
659           && $(MAKE) $(AM_MAKEFLAGS) dist \
660           && rm -rf $(DIST_ARCHIVES) \
661           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
662           && cd "$$am__cwd" \
663           || exit 1
664         $(am__post_remove_distdir)
665         @(echo "$(distdir) archives ready for distribution: "; \
666           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
667           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
668 distuninstallcheck:
669         @test -n '$(distuninstallcheck_dir)' || { \
670           echo 'ERROR: trying to run $@ with an empty' \
671                '$$(distuninstallcheck_dir)' >&2; \
672           exit 1; \
673         }; \
674         $(am__cd) '$(distuninstallcheck_dir)' || { \
675           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
676           exit 1; \
677         }; \
678         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
679            || { echo "ERROR: files left after uninstall:" ; \
680                 if test -n "$(DESTDIR)"; then \
681                   echo "  (check DESTDIR support)"; \
682                 fi ; \
683                 $(distuninstallcheck_listfiles) ; \
684                 exit 1; } >&2
685 distcleancheck: distclean
686         @if test '$(srcdir)' = . ; then \
687           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
688           exit 1 ; \
689         fi
690         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
691           || { echo "ERROR: files left in build directory after distclean:" ; \
692                $(distcleancheck_listfiles) ; \
693                exit 1; } >&2
694 check-am: all-am
695 check: check-recursive
696 all-am: Makefile $(DATA) config.h
697 installdirs: installdirs-recursive
698 installdirs-am:
699         for dir in "$(DESTDIR)$(m4dir)"; do \
700           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
701         done
702 install: install-recursive
703 install-exec: install-exec-recursive
704 install-data: install-data-recursive
705 uninstall: uninstall-recursive
706
707 install-am: all-am
708         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
709
710 installcheck: installcheck-recursive
711 install-strip:
712         if test -z '$(STRIP)'; then \
713           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
714             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
715               install; \
716         else \
717           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
718             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
719             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
720         fi
721 mostlyclean-generic:
722
723 clean-generic:
724
725 distclean-generic:
726         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
727         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
728
729 maintainer-clean-generic:
730         @echo "This command is intended for maintainers to use"
731         @echo "it deletes files that may require special tools to rebuild."
732 clean: clean-recursive
733
734 clean-am: clean-generic mostlyclean-am
735
736 distclean: distclean-recursive
737         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
738         -rm -f Makefile
739 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
740
741 dvi: dvi-recursive
742
743 dvi-am:
744
745 html: html-recursive
746
747 html-am:
748
749 info: info-recursive
750
751 info-am:
752
753 install-data-am: install-m4DATA
754
755 install-dvi: install-dvi-recursive
756
757 install-dvi-am:
758
759 install-exec-am:
760
761 install-html: install-html-recursive
762
763 install-html-am:
764
765 install-info: install-info-recursive
766
767 install-info-am:
768
769 install-man:
770
771 install-pdf: install-pdf-recursive
772
773 install-pdf-am:
774
775 install-ps: install-ps-recursive
776
777 install-ps-am:
778
779 installcheck-am:
780
781 maintainer-clean: maintainer-clean-recursive
782         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
783         -rm -rf $(top_srcdir)/autom4te.cache
784         -rm -f Makefile
785 maintainer-clean-am: distclean-am maintainer-clean-generic
786
787 mostlyclean: mostlyclean-recursive
788
789 mostlyclean-am: mostlyclean-generic
790
791 pdf: pdf-recursive
792
793 pdf-am:
794
795 ps: ps-recursive
796
797 ps-am:
798
799 uninstall-am: uninstall-m4DATA
800
801 .MAKE: $(am__recursive_targets) all install-am install-strip
802
803 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
804         am--refresh check check-am clean clean-cscope clean-generic \
805         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
806         dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
807         dist-zip distcheck distclean distclean-generic distclean-hdr \
808         distclean-tags distcleancheck distdir distuninstallcheck dvi \
809         dvi-am html html-am info info-am install install-am \
810         install-data install-data-am install-dvi install-dvi-am \
811         install-exec install-exec-am install-html install-html-am \
812         install-info install-info-am install-m4DATA install-man \
813         install-pdf install-pdf-am install-ps install-ps-am \
814         install-strip installcheck installcheck-am installdirs \
815         installdirs-am maintainer-clean maintainer-clean-generic \
816         mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
817         tags-am uninstall uninstall-am uninstall-m4DATA
818
819
820 dist-hook: gob2.spec
821         cp gob2.spec $(distdir)
822
823 # Tell versions [3.59,3.63) of GNU make to not export all variables.
824 # Otherwise a system limit (for SysV at least) may be exceeded.
825 .NOEXPORT: